GET /accounts/{account_id}/inventory_packages
List inventory packages
curl -X GET "https://api.prd.rad.security/accounts/example_string/inventory_packages?sort=example_string&q=example_string&limit=42&offset=42&filters=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/inventory_packages?sort=example_string&q=example_string&limit=42&offset=42&filters=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/inventory_packages?sort=example_string&q=example_string&limit=42&offset=42&filters=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/inventory_packages?sort=example_string&q=example_string&limit=42&offset=42&filters=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/inventory_packages?sort=example_string&q=example_string&limit=42&offset=42&filters=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"entries": [
{
"critical_count": 10,
"high_count": 10,
"id": "example_string",
"images_count": 25,
"in_use": true,
"low_count": 10,
"medium_count": 10,
"name": "John Doe",
"negligible_count": 10,
"total_vulerabilities_count": 10,
"unspecified_count": 10,
"version": "example_string"
}
],
"has_more": true,
"total_count": 10
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/inventory_packagesGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: Authorization)
Authorizationstring
RequiredAPI key (sent in header)
path
account_idstring
RequiredAccount ID
query
sortstring
Sort details in format: field:asc|desc. Default: name:asc
query
qstring
Search phrase
query
limitinteger
Maximum number of results to return. Default: 100
query
offsetinteger
Number of results to skip. Default: 0
query
filtersstring
Filters in format: key1:value1,key2:value2
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
account_idstring
RequiredAccount ID
Query Parameters
sortstring
Sort details in format: field:asc|desc. Default: name:asc
qstring
Search phrase
limitinteger
Maximum number of results to return. Default: 100
offsetinteger
Number of results to skip. Default: 0
filtersstring
Filters in format: key1:value1,key2:value2
Responses
entriesarray
has_moreboolean
total_countinteger
Was this page helpful?